6

When we try to push our existing code into the scratch org we are getting below error,

===============================================================================
──────────────────────────────────────────────────────── ─────────── 
| Error Object__c.XID__c Property 'booleanIndexedValue' not valid in version 56.0 

Where XID__c is external id and it have index file as below

<?xml version="1.0" encoding="UTF-8"?>
<CustomIndex xmlns="http://soap.sforce.com/2006/04/metadata">
    <allowNullValues>false</allowNullValues>
</CustomIndex>

XID__c.field-meta.xml

<?xml version="1.0" encoding="UTF-8"?>
<CustomField xmlns="http://soap.sforce.com/2006/04/metadata">
    <fullName>XId__c</fullName>
    <caseSensitive>false</caseSensitive>
    <externalId>true</externalId>
    <inlineHelpText>XId</inlineHelpText>
    <label>XId</label>
    <length>255</length>
    <required>false</required>
    <trackFeedHistory>false</trackFeedHistory>
    <trackHistory>false</trackHistory>
    <trackTrending>false</trackTrending>
    <type>Text</type>
    <unique>true</unique>
</CustomField>

Command we run to push the code is

sf project deploy start

sf CLI Version

@salesforce/cli/2.13.9 darwin-arm64 node-v18.15.0

Everything was working till 18th Oct 2023.

we are also having the same issue when we run the command to create package version.

4
  • Can you share the XML file for Object__c.XID__c?
    – fred
    Oct 25, 2023 at 12:05
  • @fred updated in the question. Oct 25, 2023 at 12:10
  • It looks similar to this so could be a Salesforce bug: salesforce.stackexchange.com/questions/384478/…
    – fred
    Oct 25, 2023 at 12:11
  • 2
    This was reported by a few other users too as a problem with version 55-58, on winter 24 patch 11. We have an investigation filed with the concerned Salesforce Product team on this behavior and will update this thread as I have more details. Can you try version 59.0 as a workaround Oct 25, 2023 at 13:19

2 Answers 2

4

This was reported by a few other users too as a problem in the project with custom indexes with versions 55-58, on winter 24 patch 11.

We have an investigation #W-14361697, Bug #W-14365107 filed with the concerned Salesforce Product team on this behavior. The fix is expected to go out tomorrow(Safe Harbor).

In the meantime, try version 59.0 as a workaround.


Update

The product team has made the needed changes and the bug is fixed.

2
  • 1
    Thank you for the acknowledgment and workaround. Oct 26, 2023 at 5:47
  • I'm just repeating my comment from below. We're still seeing this error on orgs that are on Winter '24 Patch 11.2 release. We have the same error message trying to install a 2gp managed package that was created against source API version v59.0. So it seems that 11.1 may be the only "good" version for this issue.
    – Vincent Ip
    Oct 31, 2023 at 13:03
1

FYI we have tried v59.0 as a workaround, which successfully creates the package version, however is unable to be installed into a subscriber org. Same error message is received

7
  • 2
    I am also having issues deploying patches to some orgs and I am getting this same error. It looks like orgs that are on Winter '24 Patch 10.5 have this issue but if they are on Patch 11.1 then there is no issue Oct 26, 2023 at 19:02
  • Thanks @ZackWalton. that's it. Subscriber orgs on patch 11 or greater are installing correctly.
    – Greg J
    Oct 26, 2023 at 23:39
  • I am struggling with this same issue in a Managed Package. Feels like I am hitting a specific SF version issue: Packaging Org: Winter 24’, Patch 11.1 - Metadata (including CustomIndex) deployed successfully - Package version successfully created Subscriber Org: Winter 24’, Patch 11.5 - Package Install fails - “Error parsing file: Element {soap.sforce.com/2006/04/metadata}booleanIndexedValue invalid at this location in type CustomIndex…” @Greg-J - have you had success deploying to orgs greater than 11.1? Any additional insights appreciated! Oct 30, 2023 at 20:12
  • We're also seeing a similar error, but slightly differing version numbers. We have the same error message trying to install a 2gp managed package that was created against source API version v59.0. (Since it's 2gp, I don't know what release the packaging org was on). This package shows these types of errors when attempting to install it on a production org that is on Winter '24 Patch 11.2. So it seems that 11.1 may be the only "good" version for this issue.
    – Vincent Ip
    Oct 31, 2023 at 13:04
  • My updates: 1) SF support confirmed that this was a known issue that is being actively worked on. 2) My v1 packaging org was updated last night from 11.1 to 11.5. Today I created a new version of the package and this one WAS successfully installed into our 11.5 test orgs. 3) When I used Workbench to retrieve the CustomIndex metadata file from the packaging org yesterday it had booleanIndexedValue attribute, today it doesn't. This must be the fix from 11.1 to 11.5. Finally, it seems possible my packaging org was updated because I submitted the case. @VincentIp - I hope this helps. Oct 31, 2023 at 14:56

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .